package jp.sourceforge.projects.ee2e.core.editors;
import org.eclipse.jface.text.ITextSelection;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
class EE2ESelect implements ITextSelection {
	public EE2ESelect(ITextSelection sec, int offset) {
		this.sec = sec;
		this.offset = offset;
	}
	public int getOffset() {
		return this.sec.getOffset() + this.offset;
	}
	public int getLength() {
		return 0;
	}
	public int getStartLine() {
		return this.sec.getStartLine();
	}
	public int getEndLine() {
		return this.sec.getStartLine();
	}
	public String getText() {
		return "";
	}
	public boolean isEmpty() {
		return true;
	}
	private int offset;
	private ITextSelection sec;
}
